Bug 5009 - globusrun-ws output for bad -Ft is unhelpful (part2)
: globusrun-ws output for bad -Ft is unhelpful (part2)
Status: RESOLVED FIXED
: GRAM
wsrf gram clients
: 4.0.2
: Macintosh All
: P3 normal
: 4.0.5
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2007-02-14 16:01 by
Modified: 2007-03-20 14:56 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-02-14 16:01:30
I made this a separate bug from bug 4764

Similarly for the case where we can't find the delegation service because the
-Ft was bad:
jomlowe@BigRed:/var/local/globus-ws-4.0.1-r3> globusrun-ws -submit -F $CONTACT
-Ft LoadLeveler -s -c /bin/date
Delegating user credentials...Failed.
globusrun-ws: Error trying to delegate
Error querying delegation factories
globus_soap_message_module: SOAP Fault
Fault code: soapenv:Server.generalException

The second error is probably being emitted from the
GetMultipleResourceProperties operation provider, so I don't have any control
over that. I'll reassign this to Joe once I'm finished merging so that he can
comment on how globusrun-ws is interpreting things in this case. It's clear
that globusrun-ws is adding in it's own error message ("Error querying
delegation factories"), but I don't know how much more sophisticated that can
get.
------- Comment #1 From 2007-02-23 13:22:32 -------
Would this error response be ok?

Delegating user credentials...Failed.
globusrun-ws: Error trying to delegate
Error querying delegation factories
Error: invalid factory EPR. Unable to query resource properties.


joe
------- Comment #2 From 2007-03-20 14:56:25 -------
This fix is committed to 4.0 branch and trunk